.grid-row {
  position: relative;
  padding: 60px calc( ( 100% - 1460px ) / 2 );
  display: grid;
  grid-template-columns: repeat( 12, minmax(0,1fr) );
  column-gap: 40px;
  row-gap: 20px;
}
.grid-col {
  position: relative;
  box-sizing: content-box;
  display: grid;
  row-gap: 15px;
}

.grid-block {
  position: relative;
  text-overflow: ellipsis;
  overflow: hidden;
}

.grid-col.aligncntnt-start {
  align-content: start;
}
.grid-col.aligncntnt-end {
  align-content: end;
}
.grid-col.aligncntnt-center {
  align-content: center;
}
.grid-col.aligncntnt-stretch {
  align-content: stretch;
}
.grid-col.aligncntnt-space-around {
  align-content: space-around;
}
.grid-col.aligncntnt-space-between {
  align-content: space-between;
}
.grid-col.aligncntnt-space-evenly {
  align-content: space-evenly;
}

.grid-block.align-left, .grid-block.txt-left {
  text-align: left;
}
.grid-block.align-right, .grid-block.txt-right {
  text-align: right;
}
.grid-block.align-center, .grid-block.txt-center {
  text-align: center;
}
.grid-block.align-justify, .grid-block.txt-justify {
  text-align: justify;
}


/** de: 10px (oben/unten) */
/** en: 10px (oben/unten) */
.rap-nopadding-top-bottom {
  padding-top: 10px !important;
  padding-bottom: 10px !important;
}

/** de: Bilder: ohne Abstand */
/** en: Bilder: ohne Abstand */
.bax-image-nomargin {
}
.bax-image-nomargin img, .bax-image-nomargin svg {
  margin: 0;
}

/** de: ohne Abstand */
/** en: ohne Abstand */
.cap-nopadding {
  padding: 0 !important;
}

/** de: Text: Weiß */
/** en: Text: Weiß */
.bax-white-text {
}
.bax-white-text, .bax-white-text a, .bax-white-text a:focus, .bax-white-text a:hover, .bax-white-text a:active,
.bax-white-text .headline1, .bax-white-text .headline2, .bax-white-text .headline3, .bax-white-text .headline4, .bax-white-text .headline5, .bax-white-text .headline6 {
  color: #FFFFFF;
}
.bax-white-text a {
  text-decoration: underline;
}
.bax-white-text a:focus, .bax-white-text a:hover, .bax-white-text a:active {
  text-decoration: none;
}
.grid-row.row-colored-2 {

  background: var(--rowColored2Background);
  box-shadow: var(--rowColored2BoxShadow);
  color: var(--rowColored2TextColor);

  --headline1Color: var(--rowColored2Headline1Color);
  --headline2Color: var(--rowColored2Headline2Color);
  --headline3Color: var(--rowColored2Headline3Color);
  --headline4Color: var(--rowColored2Headline4Color);
  --headline5Color: var(--rowColored2Headline5Color);
  --headline6Color: var(--rowColored2Headline6Color);
  --defaultTextColor: var(--rowColored2TextColor);
  --defaultLinkColor: var(--rowColored2LinkColor);
  --defaultLinkDecoration: var(--rowColored2LinkDecoration);
  --defaultLinkHoverColor: var(--rowColored2LinkHoverColor);
  --defaultLinkHoverDecoration: var(--rowColored2LinkHoverDecoration);

}
.grid-row.row-colored-1 {

  background: var(--rowColored1Background);
  box-shadow: var(--rowColored1BoxShadow);
  color: var(--rowColored1TextColor);

  --headline1Color: var(--rowColored1Headline1Color);
  --headline2Color: var(--rowColored1Headline2Color);
  --headline3Color: var(--rowColored1Headline3Color);
  --headline4Color: var(--rowColored1Headline4Color);
  --headline5Color: var(--rowColored1Headline5Color);
  --headline6Color: var(--rowColored1Headline6Color);
  --defaultTextColor: var(--rowColored1TextColor);
  --defaultLinkColor: var(--rowColored1LinkColor);
  --defaultLinkDecoration: var(--rowColored1LinkDecoration);
  --defaultLinkHoverColor: var(--rowColored1LinkHoverColor);
  --defaultLinkHoverDecoration: var(--rowColored1LinkHoverDecoration);

}
.grid-col.col-colored-1 {
  padding: 20px;
  border: var(--colColored1Border);
  border-radius: var(--colColored1BorderRadius);
  background: var(--colColored1Background);
  box-shadow: var(--colColored1BoxShadow);
  color: var(--colColored1TextColor);

  --headline1Color: var(--colColored1Headline1Color);
  --headline2Color: var(--colColored1Headline2Color);
  --headline3Color: var(--colColored1Headline3Color);
  --headline4Color: var(--colColored1Headline4Color);
  --headline5Color: var(--colColored1Headline5Color);
  --headline6Color: var(--colColored1Headline6Color);
  --defaultTextColor: var(--colColored1TextColor);
  --defaultLinkColor: var(--colColored1LinkColor);
  --defaultLinkDecoration: var(--colColored1LinkDecoration);
  --defaultLinkHoverColor: var(--colColored1LinkHoverColor);
  --defaultLinkHoverDecoration: var(--colColored1LinkHoverDecoration);

}
.grid-col.col-colored-2 {
  padding: 20px;
  border: var(--colColored2Border);
  border-radius: var(--colColored2BorderRadius);
  background: var(--colColored2Background);
  box-shadow: var(--colColored2BoxShadow);
  color: var(--colColored2TextColor);

  --headline1Color: var(--colColored2Headline1Color);
  --headline2Color: var(--colColored2Headline2Color);
  --headline3Color: var(--colColored2Headline3Color);
  --headline4Color: var(--colColored2Headline4Color);
  --headline5Color: var(--colColored2Headline5Color);
  --headline6Color: var(--colColored2Headline6Color);
  --defaultTextColor: var(--colColored2TextColor);
  --defaultLinkColor: var(--colColored2LinkColor);
  --defaultLinkDecoration: var(--colColored2LinkDecoration);
  --defaultLinkHoverColor: var(--colColored2LinkHoverColor);
  --defaultLinkHoverDecoration: var(--colColored2LinkHoverDecoration);

}
.grid-col.col-imageslider {
  display: flex;
  margin-left: 0;
  margin-right: 0;
  padding: 0;
  column-gap: 10px;
}
.grid-col.col-imageslider .grid-block {
  margin: 0 2px;
}

.grid-col.col-imageslider .slick-arrow {
  position: absolute;
  bottom: 20px;
  width: 2.5rem;
  height: 3rem;
  left: 0.8rem;
  background: transparent;
  border: 0;
  outline: 0;
  overflow: hidden;
  color: transparent;
  cursor: pointer;
  transition: border 300ms;
  z-index: 100;
}
.grid-col.col-imageslider .slick-arrow::after {
  display: block;
  position: absolute;
  bottom: -12%;
  left: 70%;
  height: 50%;
  transform: translate(-50%,-50%) rotate(135deg);
  width: 1.9rem;
  height: 1.9rem;
  box-shadow: 5px 5px 0px 0 #FFFFFF;
  content: '';
  transition: box-shadow 300ms;
}
.grid-col.col-imageslider .slick-next {
  left: auto;
  right: 10px;
}
.grid-col.col-imageslider .slick-next::after {
  left: 30%;
  transform: translate(-50%,-50%) rotate(-45deg);
}
.grid-col.col-imageslider .slick-arrow:focus {
  outline: -webkit-focus-ring-color auto 1px;
}
.grid-col.col-imageslider .slick-arrow:hover::after {
  box-shadow: 5px 5px 0px 0 #CCCCCC;
}

.grid-col.col-imageslider .slick-prev {
  left: 15px;
}
.grid-col.col-imageslider .slick-next {
  right: 15px;
}
.grid-col.col-colored-3 {
    padding-left: 40px;
}

.grid-col.col-colored-3::before {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 120px;
  height: 100%;
  background: #e0ebc3;
  content: '';
}.grid-col.col-colored-4 {
  padding: 20px;
  border: var(--colColored4Border);
  border-radius: var(--colColored4BorderRadius);
  background: var(--colColored4Background);
  box-shadow: var(--colColored4BoxShadow);
  color: var(--colColored4TextColor);

  --headline1Color: var(--colColored4Headline1Color);
  --headline2Color: var(--colColored4Headline2Color);
  --headline3Color: var(--colColored4Headline3Color);
  --headline4Color: var(--colColored4Headline4Color);
  --headline5Color: var(--colColored4Headline5Color);
  --headline6Color: var(--colColored4Headline6Color);
  --defaultTextColor: var(--colColored4TextColor);
  --defaultLinkColor: var(--colColored4LinkColor);
  --defaultLinkDecoration: var(--colColored4LinkDecoration);
  --defaultLinkHoverColor: var(--colColored4LinkHoverColor);
  --defaultLinkHoverDecoration: var(--colColored4LinkHoverDecoration);
}.grid-block.textarea-overlay {
  position: absolute !important;
  bottom: 15px;
  left: 0;
  width: 100%;
  padding: 20px 30px;
  line-height: 140%;
  color: #01315f;
  background: rgba(255,255,255,0.5) !important;
  font-size: 1.1em;
  opacity: 0;
  pointer-events: none;
  transition: 500ms;
  box-sizing: border-box;
}
.grid-col:has(.textarea-overlay):hover .grid-block.textarea-overlay, .grid-col:has(.textarea-overlay):focus .grid-block.textarea-overlay {
  opacity: 1;
  pointer-events: all;
}

@media (hover: none) {
  .grid-block.textarea-overlay {
    opacity: 1;
    pointer-events: all;
  }
}@media all and (min-width: 1101px) {
  .hide-default { display: none; }
  .col-1 { grid-column: span 1; }
  .col-2 { grid-column: span 2; }
  .col-3 { grid-column: span 3; }
  .col-4 { grid-column: span 4; }
  .col-5 { grid-column: span 5; }
  .col-6 { grid-column: span 6; }
  .col-7 { grid-column: span 7; }
  .col-8 { grid-column: span 8; }
  .col-9 { grid-column: span 9; }
  .col-10 { grid-column: span 10; }
  .col-11 { grid-column: span 11; }
  .col-12 { grid-column: span 12; }
}

@media all and (max-width: 1600px) {
  .grid-row { padding: 60px 40px; }
}

@media all and (max-width: 1100px) {
  .hide-tablet { display: none; }
  .col-t-1 { grid-column: span 1; }
  .col-t-2 { grid-column: span 2; }
  .col-t-3 { grid-column: span 3; }
  .col-t-4 { grid-column: span 4; }
  .col-t-5 { grid-column: span 5; }
  .col-t-6 { grid-column: span 6; }
  .col-t-7 { grid-column: span 7; }
  .col-t-8 { grid-column: span 8; }
  .col-t-9 { grid-column: span 9; }
  .col-t-10 { grid-column: span 10; }
  .col-t-11 { grid-column: span 11; }
  .col-t-12 { grid-column: span 12; }
}

@media all and (max-width: 600px) {
  .grid-row { column-gap: 20px; padding: 40px 20px; row-gap: 20px;}
  .hide-mobile { display: none; }
  .col-m-1 { grid-column: span 1; }
  .col-m-2 { grid-column: span 2; }
  .col-m-3 { grid-column: span 3; }
  .col-m-4 { grid-column: span 4; }
  .col-m-5 { grid-column: span 5; }
  .col-m-6 { grid-column: span 6; }
  .col-m-7 { grid-column: span 7; }
  .col-m-8 { grid-column: span 8; }
  .col-m-9 { grid-column: span 9; }
  .col-m-10 { grid-column: span 10; }
  .col-m-11 { grid-column: span 11; }
  .col-m-12 { grid-column: span 12; }
}
